"use strict";

{
	C3.Plugins.Lagged_API.Acts =
	{
		ShowAd(thumbnail,urlkey)
		{
			console.log('LaggedAPI: show an ad');
			if(LaggedAPI&&!this._adPlaying){
				this.Trigger(C3.Plugins.Lagged_API.Cnds.PauseGame);
				this._adPlaying=true;
				try{
				LaggedAPI['APIAds'].show('interstitial',urlkey,thumbnail,function(response) {
				  if(response.success) {
				    console.log('ad done');
				  }else {
				    console.log(response.errormsg);
				  }
					this._adPlaying=false;
					this.Trigger(C3.Plugins.Lagged_API.Cnds.ResumeGame);
				});	
				}catch(e){
					this.Trigger(C3.Plugins.Lagged_API.Cnds.ResumeGame);
					this._adPlaying=false;
				}
			}
		},
		ShowAwards()
		{
			try{
			LaggedAPI['Achievements'].show();
			}catch(e){
			console.log('test mode: open achievement');	
			}
		},
		InitGame(gameid)
		{
			try{
				console.log('LaggedAPI: init game with id ', gameid)
				LaggedAPI.init(gameid,'lagdevaF3001');
			}catch(e){
				console.log(e);
			}
		},
		SaveAchievement(award)
		{
			try{
			if(this._savedAchs.indexOf(award) > -1){
				
				console.log('LaggedAPI: achievement already saved, skip ', award);
				
			}else{  
				
				console.log('LaggedAPI: save achievement ', award);
				
			var ach_numb=[];
			ach_numb.push(award);
			this._savedAchs.push(award);
			LaggedAPI['Achievements'].save(ach_numb, function(response) {
			if(response.success) {
			console.log('achievement saved')
			// note that we could still have a failure errorcode here when the player
			// already has an achievement
			}else {
			console.log(response.errormsg);
			}
			});
			}
			}catch(e){
				console.log(e);
			}
		},
		SaveScore(score,board)
		{
			
			console.log('LaggedAPI: Save high score: ', score);
			console.log('LaggedAPI: Save to board id: ', board)
			
			try{
			var boardinfo={};
			boardinfo['score']=score;
			boardinfo['board']=board;
			LaggedAPI['Scores'].save(boardinfo, function(response) {
			if(response.success) {
			console.log('high score saved')
			}else {
			console.log(response.errormsg);
			}
			});
			}catch(e){
				console.log(e);
			}
		},
		ViewWalkthrough(level)
		{
			console.log("play walkthrough level: ", level)
			try{
			window.parent.viewPlaythrough('Y869QR3D',level)
			}catch(e){
			console.log(e);
			}
		}
	};
}